/* Extract ACS table B16005 (Ability to Speak English) for tracts (SUMLEV 140) */

options sysprintfont=("Courier New" 8) leftmargin=0.75in nocenter;

/* Specify ACS sequence number, the number of variables, and the table number: */
%let seqnum=045;  * The sequence number of file that contain the table you want (3 digits);
%let firstvar=7;  * Position of the first variable in the table;
%let tablenum=B16005_engl; * The ACS table number with descriptive suffix;
/* Example parameters seqnum=049, firstvar=219 for table C17002 (Ratio of Income to Poverty Level) */

/* Specify data path here for portability: */
%let pathsas=J:\Census_Stuff\ACS2011_5yr\;
%let pathpdf=J:\Census_Stuff\ACS2011_5yr\SASRpts\;

%let obslimit=;
/* %let obslimit=obs=10000; /* For debugging */

libname CensSAS "&pathsas.SASData";
ods pdf file="&pathpdf.SAS21_Extract_&tablenum._Tract.pdf";

data Table_&tablenum._tract;
   set CensSAS.AllData_Seq&seqnum._tracts (&obslimit);
   if SUMLEV = '140';
   StCntyTract = STATE || COUNTY || TRACT;
   Est_tot_pop         = var%eval(&firstvar+0);
   Est_nat_totpop      = var%eval(&firstvar+1);
   Est_nat_onlyEng     = var%eval(&firstvar+2);
   Est_nat_Spa_tot     = var%eval(&firstvar+3);
   Est_nat_Spa_Enghigh = var%eval(&firstvar+4);
   Est_nat_Spa_Engmed  = var%eval(&firstvar+5);
   Est_nat_Spa_Englow  = var%eval(&firstvar+6);
   Est_nat_Spa_Engnone = var%eval(&firstvar+7);
   Est_nat_Ind_tot     = var%eval(&firstvar+8);
   Est_nat_Ind_Enghigh = var%eval(&firstvar+9);
   Est_nat_Ind_Engmed  = var%eval(&firstvar+10);
   Est_nat_Ind_Englow  = var%eval(&firstvar+11);
   Est_nat_Ind_Engnone = var%eval(&firstvar+12);
   Est_nat_API_tot     = var%eval(&firstvar+13);
   Est_nat_API_Enghigh = var%eval(&firstvar+14);
   Est_nat_API_Engmed  = var%eval(&firstvar+15);
   Est_nat_API_Englow  = var%eval(&firstvar+16);
   Est_nat_API_Engnone = var%eval(&firstvar+17);
   Est_nat_oth_tot     = var%eval(&firstvar+18);
   Est_nat_oth_Enghigh = var%eval(&firstvar+19);
   Est_nat_oth_Engmed  = var%eval(&firstvar+20);
   Est_nat_oth_Englow  = var%eval(&firstvar+21);
   Est_nat_oth_Engnone = var%eval(&firstvar+22);
   Est_for_totpop      = var%eval(&firstvar+23);
   Est_for_onlyEng     = var%eval(&firstvar+24);
   Est_for_Spa_tot     = var%eval(&firstvar+25);
   Est_for_Spa_Enghigh = var%eval(&firstvar+26);
   Est_for_Spa_Engmed  = var%eval(&firstvar+27);
   Est_for_Spa_Englow  = var%eval(&firstvar+28);
   Est_for_Spa_Engnone = var%eval(&firstvar+29);
   Est_for_Ind_tot     = var%eval(&firstvar+30);
   Est_for_Ind_Enghigh = var%eval(&firstvar+31);
   Est_for_Ind_Engmed  = var%eval(&firstvar+32);
   Est_for_Ind_Englow  = var%eval(&firstvar+33);
   Est_for_Ind_Engnone = var%eval(&firstvar+34);
   Est_for_API_tot     = var%eval(&firstvar+35);
   Est_for_API_Enghigh = var%eval(&firstvar+36);
   Est_for_API_Engmed  = var%eval(&firstvar+37);
   Est_for_API_Englow  = var%eval(&firstvar+38);
   Est_for_API_Engnone = var%eval(&firstvar+39);
   Est_for_oth_tot     = var%eval(&firstvar+40);
   Est_for_oth_Enghigh = var%eval(&firstvar+41);
   Est_for_oth_Engmed  = var%eval(&firstvar+42);
   Est_for_oth_Englow  = var%eval(&firstvar+43);
   Est_for_oth_Engnone = var%eval(&firstvar+44);
   MOE_tot_pop         = mvar%eval(&firstvar+0);
   MOE_nat_totpop      = mvar%eval(&firstvar+1);
   MOE_nat_onlyEng     = mvar%eval(&firstvar+2);
   MOE_nat_Spa_tot     = mvar%eval(&firstvar+3);
   MOE_nat_Spa_Enghigh = mvar%eval(&firstvar+4);
   MOE_nat_Spa_Engmed  = mvar%eval(&firstvar+5);
   MOE_nat_Spa_Englow  = mvar%eval(&firstvar+6);
   MOE_nat_Spa_Engnone = mvar%eval(&firstvar+7);
   MOE_nat_Ind_tot     = mvar%eval(&firstvar+8);
   MOE_nat_Ind_Enghigh = mvar%eval(&firstvar+9);
   MOE_nat_Ind_Engmed  = mvar%eval(&firstvar+10);
   MOE_nat_Ind_Englow  = mvar%eval(&firstvar+11);
   MOE_nat_Ind_Engnone = mvar%eval(&firstvar+12);
   MOE_nat_API_tot     = mvar%eval(&firstvar+13);
   MOE_nat_API_Enghigh = mvar%eval(&firstvar+14);
   MOE_nat_API_Engmed  = mvar%eval(&firstvar+15);
   MOE_nat_API_Englow  = mvar%eval(&firstvar+16);
   MOE_nat_API_Engnone = mvar%eval(&firstvar+17);
   MOE_nat_oth_tot     = mvar%eval(&firstvar+18);
   MOE_nat_oth_Enghigh = mvar%eval(&firstvar+19);
   MOE_nat_oth_Engmed  = mvar%eval(&firstvar+20);
   MOE_nat_oth_Englow  = mvar%eval(&firstvar+21);
   MOE_nat_oth_Engnone = mvar%eval(&firstvar+22);
   MOE_for_totpop      = mvar%eval(&firstvar+23);
   MOE_for_onlyEng     = mvar%eval(&firstvar+24);
   MOE_for_Spa_tot     = mvar%eval(&firstvar+25);
   MOE_for_Spa_Enghigh = mvar%eval(&firstvar+26);
   MOE_for_Spa_Engmed  = mvar%eval(&firstvar+27);
   MOE_for_Spa_Englow  = mvar%eval(&firstvar+28);
   MOE_for_Spa_Engnone = mvar%eval(&firstvar+29);
   MOE_for_Ind_tot     = mvar%eval(&firstvar+30);
   MOE_for_Ind_Enghigh = mvar%eval(&firstvar+31);
   MOE_for_Ind_Engmed  = mvar%eval(&firstvar+32);
   MOE_for_Ind_Englow  = mvar%eval(&firstvar+33);
   MOE_for_Ind_Engnone = mvar%eval(&firstvar+34);
   MOE_for_API_tot     = mvar%eval(&firstvar+35);
   MOE_for_API_Enghigh = mvar%eval(&firstvar+36);
   MOE_for_API_Engmed  = mvar%eval(&firstvar+37);
   MOE_for_API_Englow  = mvar%eval(&firstvar+38);
   MOE_for_API_Engnone = mvar%eval(&firstvar+39);
   MOE_for_oth_tot     = mvar%eval(&firstvar+40);
   MOE_for_oth_Enghigh = mvar%eval(&firstvar+41);
   MOE_for_oth_Engmed  = mvar%eval(&firstvar+42);
   MOE_for_oth_Englow  = mvar%eval(&firstvar+43);
   MOE_for_oth_Engnone = mvar%eval(&firstvar+44);
   DROP GEOCOMP LOGRECNO PLACE BLKGRP UR GEOID SEQUENCE
        var: mvar:;
   LABEL
    Est_tot_pop         = 'Estimate total pop'
    Est_nat_totpop      = 'Estimate natborn total'
    Est_nat_onlyEng     = 'Estimate natborn only English'
    Est_nat_Spa_tot     = 'Estimate natborn Spanish total'
    Est_nat_Spa_Enghigh = 'Estimate natborn Spanish English very well'
    Est_nat_Spa_Engmed  = 'Estimate natborn Spanish English well'
    Est_nat_Spa_Englow  = 'Estimate natborn Spanish English not well'
    Est_nat_Spa_Engnone = 'Estimate natborn Spanish English not at all'
    Est_nat_Ind_tot     = 'Estimate natborn IndoEur total'
    Est_nat_Ind_Enghigh = 'Estimate natborn IndoEur English very well'
    Est_nat_Ind_Engmed  = 'Estimate natborn IndoEur English well'
    Est_nat_Ind_Englow  = 'Estimate natborn IndoEur English not well'
    Est_nat_Ind_Engnone = 'Estimate natborn IndoEur English not at all'
    Est_nat_API_tot     = 'Estimate natborn AsianPI total'
    Est_nat_API_Enghigh = 'Estimate natborn AsianPI English very well'
    Est_nat_API_Engmed  = 'Estimate natborn AsianPI English well'
    Est_nat_API_Englow  = 'Estimate natborn AsianPI English not well'
    Est_nat_API_Engnone = 'Estimate natborn AsianPI English not at all'
    Est_nat_oth_tot     = 'Estimate natborn othrLan total'
    Est_nat_oth_Enghigh = 'Estimate natborn othrLan English very well'
    Est_nat_oth_Engmed  = 'Estimate natborn othrLan English well'
    Est_nat_oth_Englow  = 'Estimate natborn othrLan English not well'
    Est_nat_oth_Engnone = 'Estimate natborn othrLan English not at all'
    Est_for_totpop      = 'Estimate forborn total'
    Est_for_onlyEng     = 'Estimate forborn only English'
    Est_for_Spa_tot     = 'Estimate forborn Spanish total'
    Est_for_Spa_Enghigh = 'Estimate forborn Spanish English very well'
    Est_for_Spa_Engmed  = 'Estimate forborn Spanish English well'
    Est_for_Spa_Englow  = 'Estimate forborn Spanish English not well'
    Est_for_Spa_Engnone = 'Estimate forborn Spanish English not at all'
    Est_for_Ind_tot     = 'Estimate forborn IndoEur total'
    Est_for_Ind_Enghigh = 'Estimate forborn IndoEur English very well'
    Est_for_Ind_Engmed  = 'Estimate forborn IndoEur English well'
    Est_for_Ind_Englow  = 'Estimate forborn IndoEur English not well'
    Est_for_Ind_Engnone = 'Estimate forborn IndoEur English not at all'
    Est_for_API_tot     = 'Estimate forborn AsianPI total'
    Est_for_API_Enghigh = 'Estimate forborn AsianPI English very well'
    Est_for_API_Engmed  = 'Estimate forborn AsianPI English well'
    Est_for_API_Englow  = 'Estimate forborn AsianPI English not well'
    Est_for_API_Engnone = 'Estimate forborn AsianPI English not at all'
    Est_for_oth_tot     = 'Estimate forborn othrLan total'
    Est_for_oth_Enghigh = 'Estimate forborn othrLan English very well'
    Est_for_oth_Engmed  = 'Estimate forborn othrLan English well'
    Est_for_oth_Englow  = 'Estimate forborn othrLan English not well'
    Est_for_oth_Engnone = 'Estimate forborn othrLan English not at all'
    MOE_tot_pop         = 'Margin of error total pop'
    MOE_nat_totpop      = 'Margin of error natborn total'
    MOE_nat_onlyEng     = 'Margin of error natborn only English'
    MOE_nat_Spa_tot     = 'Margin of error natborn Spanish total'
    MOE_nat_Spa_Enghigh = 'Margin of error natborn Spanish English very well'
    MOE_nat_Spa_Engmed  = 'Margin of error natborn Spanish English well'
    MOE_nat_Spa_Englow  = 'Margin of error natborn Spanish English not well'
    MOE_nat_Spa_Engnone = 'Margin of error natborn Spanish English not at all'
    MOE_nat_Ind_tot     = 'Margin of error natborn IndoEur total'
    MOE_nat_Ind_Enghigh = 'Margin of error natborn IndoEur English very well'
    MOE_nat_Ind_Engmed  = 'Margin of error natborn IndoEur English well'
    MOE_nat_Ind_Englow  = 'Margin of error natborn IndoEur English not well'
    MOE_nat_Ind_Engnone = 'Margin of error natborn IndoEur English not at all'
    MOE_nat_API_tot     = 'Margin of error natborn AsianPI total'
    MOE_nat_API_Enghigh = 'Margin of error natborn AsianPI English very well'
    MOE_nat_API_Engmed  = 'Margin of error natborn AsianPI English well'
    MOE_nat_API_Englow  = 'Margin of error natborn AsianPI English not well'
    MOE_nat_API_Engnone = 'Margin of error natborn AsianPI English not at all'
    MOE_nat_oth_tot     = 'Margin of error natborn othrLan total'
    MOE_nat_oth_Enghigh = 'Margin of error natborn othrLan English very well'
    MOE_nat_oth_Engmed  = 'Margin of error natborn othrLan English well'
    MOE_nat_oth_Englow  = 'Margin of error natborn othrLan English not well'
    MOE_nat_oth_Engnone = 'Margin of error natborn othrLan English not at all'
    MOE_for_totpop      = 'Margin of error forborn total'
    MOE_for_onlyEng     = 'Margin of error forborn only English'
    MOE_for_Spa_tot     = 'Margin of error forborn Spanish total'
    MOE_for_Spa_Enghigh = 'Margin of error forborn Spanish English very well'
    MOE_for_Spa_Engmed  = 'Margin of error forborn Spanish English well'
    MOE_for_Spa_Englow  = 'Margin of error forborn Spanish English not well'
    MOE_for_Spa_Engnone = 'Margin of error forborn Spanish English not at all'
    MOE_for_Ind_tot     = 'Margin of error forborn IndoEur total'
    MOE_for_Ind_Enghigh = 'Margin of error forborn IndoEur English very well'
    MOE_for_Ind_Engmed  = 'Margin of error forborn IndoEur English well'
    MOE_for_Ind_Englow  = 'Margin of error forborn IndoEur English not well'
    MOE_for_Ind_Engnone = 'Margin of error forborn IndoEur English not at all'
    MOE_for_API_tot     = 'Margin of error forborn AsianPI total'
    MOE_for_API_Enghigh = 'Margin of error forborn AsianPI English very well'
    MOE_for_API_Engmed  = 'Margin of error forborn AsianPI English well'
    MOE_for_API_Englow  = 'Margin of error forborn AsianPI English not well'
    MOE_for_API_Engnone = 'Margin of error forborn AsianPI English not at all'
    MOE_for_oth_tot     = 'Margin of error forborn othrLan total'
    MOE_for_oth_Enghigh = 'Margin of error forborn othrLan English very well'
    MOE_for_oth_Engmed  = 'Margin of error forborn othrLan English well'
    MOE_for_oth_Englow  = 'Margin of error forborn othrLan English not well'
    MOE_for_oth_Engnone = 'Margin of error forborn othrLan English not at all'
    ;
run;

/* Sort and check for duplicates: */
proc sort data=Table_&tablenum._tract nodupkey out=CensSAS.Table_&tablenum._tract;
   by StCntyTract;
run;

/* Stats by state */
proc freq data=CensSAS.Table_&tablenum._tract;
   table STUSAB;
run;

/* Number of distinct values for each variable */
ods select nlevels;
proc freq data=CensSAS.Table_&tablenum._tract nlevels;
   tables STUSAB;
run;

ods pdf close;

