/* Clean up variables and labels in tract attribute data */

options sysprintfont=("Courier New" 8) leftmargin=0.75in nocenter;

/* Specify data path here for portability: */
%let pathsas=J:\Census_Stuff\ACS2011_5yr\;
%let pathpdf=J:\Census_Stuff\ACS2011_5yr\SASRpts\;

%let obslimit=;
/* %let obslimit=obs=10000; /* For debugging */

libname CensSAS "&pathsas.SASData";
ods pdf file="&pathpdf.SAS33_Clean_Tract_Attributes.pdf" uniform;

data CensSAS.Tract_Attributes_clean;
   set CensSAS.Tract_Attributes_prelim (&obslimit.);
   keep
      STUSAB
      STATE
      COUNTY
      TRACT
      NAME
      StCntyTract
      Popsamps
      Est_totpop            MOE_totpop
      Est_totpop_educsubj   MOE_totpop_educsubj
      Est_tothh_lingiso     MOE_tothh_lingiso
      Est_totpop_engl       MOE_totpop_engl
      Est_totpop_povsubj    MOE_totpop_povsubj
      Est_totpop_employsubj MOE_totpop_employsubj
      Est_totpop_migr       MOE_totpop_migr
      Pct_sampled
      Pct_nonwhite       Pct_nonwhite_MOE
      Pct_Hispanic       Pct_Hispanic_MOE
      Pct_minority       Pct_minority_MOE
      Pct_forborn        Pct_forborn_MOE
      Pctsubj_highsch    Pctsubj_highsch_MOE
      Pctsubj_notHS      Pctsubj_notHS_MOE
      Pctsubj_college    Pctsubj_college_MOE
      Pctsubj_lingiso    Pctsubj_lingiso_MOE
      Pct_noEngl         Pct_noEngl_MOE
      Pct_be150pov       Pct_be150pov_MOE
      Pctsubj_belowpov   Pctsubj_belowpov_MOE
      NAACCR_povcat
      Pctsubj_unemploy   Pctsubj_unemploy_MOE
      Pct_same_house     Pct_same_house_MOE
      Pct_from_within_co Pct_from_within_co_MOE
      Pct_from_within_st Pct_from_within_st_MOE
      Pct_from_within_us Pct_from_within_us_MOE
      ;
   label
      Est_totpop            = 'Total population'
      MOE_totpop            = 'Total population MOE'
      Est_totpop_educsubj   = 'Total pop for education (25+)'
      MOE_totpop_educsubj   = 'Total pop for education (25+) MOE'
      Est_tothh_lingiso     = 'Total households for linguistic isolation'
      MOE_tothh_lingiso     = 'Total households for linguistic isolation MOE'
      Est_totpop_engl       = 'Total pop for English language (5+)'
      MOE_totpop_engl       = 'Total pop for English language (5+) MOE'
      Est_totpop_povsubj    = 'Total pop for poverty (non-group)'
      MOE_totpop_povsubj    = 'Total pop for poverty (non-group) MOE'
      Est_totpop_employsubj = 'Total pop for employment (16+)'
      MOE_totpop_employsubj = 'Total pop for employment (16+) MOE'
      Est_totpop_migr       = 'Total pop for 1 year migration (1+)'
      MOE_totpop_migr       = 'Total pop for 1 year migration (1+) MOE'
      ;
   rename
      Est_totpop            = Totpop
      MOE_totpop            = Totpop_MOE
      Est_totpop_educsubj   = Totpop_educ
      MOE_totpop_educsubj   = Totpop_educ_MOE
      Est_tothh_lingiso     = Tothh_lingiso
      MOE_tothh_lingiso     = Tothh_lingiso_MOE
      Est_totpop_engl       = Totpop_engl
      MOE_totpop_engl       = Totpop_engl_MOE
      Est_totpop_povsubj    = Totpop_pov
      MOE_totpop_povsubj    = Totpop_pov_MOE
      Est_totpop_employsubj = Totpop_employ
      MOE_totpop_employsubj = Totpop_employ_MOE
      Est_totpop_migr       = Totpop_migr
      MOE_totpop_migr       = Totpop_migr_MOE
      ;
run;

proc contents data=CensSAS.Tract_Attributes_clean varnum;
run;

ods pdf close;

