/* Export tracts, county, and state data to MS Access*/

options sysprintfont=("Courier New" 8) leftmargin=0.75in nocenter;

/* Specify data path here for portability: */
%let pathsas=J:\Census_Stuff\ACS2011_5yr\;
%let pathaccess=J:\Census_Stuff\ACS2011_5yr\AccessData\;
/* Specify Access database name: */
%let dbname=TractAttrib_ACS2011.mdb;

libname CensSAS "&pathsas.SASData";

/* Export tract-level dataset */
PROC EXPORT DATA= CensSAS.TRACT_ATTRIBUTES_CLEAN
            OUTTABLE= "TractAttrib_byTract"
            DBMS=ACCESS REPLACE;
     DATABASE="&pathaccess.&dbname.";
run;

/* Export county-level dataset */
PROC EXPORT DATA= CensSAS.TRACT_ATTRIBUTES_SUMBYCOUNTY
            OUTTABLE= "TractAttrib_byCounty"
            DBMS=ACCESS REPLACE;
     DATABASE="&pathaccess.&dbname.";
run;

/* Export state-level dataset */
PROC EXPORT DATA= CensSAS.TRACT_ATTRIBUTES_SUMBYSTATE
            OUTTABLE= "TractAttrib_byState"
            DBMS=ACCESS REPLACE;
     DATABASE="&pathaccess.&dbname.";
run;


